/* Fabrizio Gilardi (2010), "Who learns from what in policy diffusion processes?" AJPS 54(3) */
/* Replication of Table 1 (Model 6) */



clear
insheet using data.csv, c

cap g part_a=.
cap g part_b=.

replace part_a=(rightc_a - leftc_a)/100
replace part_b=(rightc_b - leftc_b)/100

cap g part_a_b=.
replace part_a_b=abs(part_a - part_b)

cap g uerr_a_b=.
replace uerr_a_b=abs(uerrl_a-uerrm_b)

cap g partXvote=.
replace partXvote=part_a*vote_b

cap g partXue=.
replace partXue= part_a*ue_b

cap g t=.
replace t=(year-1979)/10

cap g t2=.
replace t2=((year-1979)^2)/100

cap g t3=.
replace t3=((year-1979)^3)/10000

cap g drop=.
replace drop=.
replace drop=1
replace drop=0 if uerrd_b<0



/* Model 6 */

logit imit part_a part_a_b uerrl_a uerr_a_b ue_b vote_b partXvote partXue samereg popdiff uer_a polconiii_a ncuts_a t t2 t3 if samecountry==0 & drop==0, cluster(countryn_a)




